Package: groovy.swing.model

## [Java] Class ClosureModel

- groovy.swing.model.ClosureModel

- All Implemented Interfaces and Traits:
    NestedValueModel, ValueModel

      public class ClosureModel
      extends Object
      implements NestedValueModel, ValueModel

  Represents a value model using a closure to extract the value from some source model and an optional write closure for updating the value.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureModel(ValueModel sourceModel, Closure readClosure)`
    `ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure)`
    `ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure, Class type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ValueModel` | `getSourceModel()`
    `` | `public Class` | `getType()`
    `` | `public Object` | `getValue()`
    `` | `public boolean` | `isEditable()`
    `` | `public void` | `setValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureModel(ValueModel sourceModel, Closure readClosure)

    - #### public ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure)

    - #### public ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure, Class type)

  - ### Method Detail

    - #### @Override
      public ValueModel getSourceModel()

    - #### @Override
      public Class getType()

    - #### @Override
      public Object getValue()

    - #### @Override
      public boolean isEditable()

    - #### @Override
      public void setValue(Object value)